Patch to allow EVMS to ask the MD driver if a RAID-1 or RAID-5 device
is in the middle of syncing.
--- diff/drivers/md/md.c	2004-02-10 13:04:37.000000000 -0600
+++ source/drivers/md/md.c	2004-02-10 13:32:36.000000000 -0600
@@ -1962,6 +1962,9 @@
 	info.state         = 0;
 	if (mddev->in_sync)
 		info.state = (1<<MD_SB_CLEAN);
+	if (test_bit(MD_RECOVERY_RUNNING, &mddev->recovery) &&
+	    !test_bit(MD_RECOVERY_DONE, &mddev->recovery))
+		info.state |= MD_ARRAY_RECOVERY_RUNNING;
 	info.active_disks  = active;
 	info.working_disks = working;
 	info.failed_disks  = failed;
--- diff/include/linux/raid/md_u.h	2004-02-03 21:44:25.000000000 -0600
+++ source/include/linux/raid/md_u.h	2004-02-10 13:32:36.000000000 -0600
@@ -50,6 +50,10 @@
 	int patchlevel;
 } mdu_version_t;
 
+#define MD_ARRAY_CLEAN			0
+#define MD_ARRAY_ERRORS			1
+#define MD_ARRAY_RECOVERY_RUNNING	2
+
 typedef struct mdu_array_info_s {
 	/*
 	 * Generic constant information
